var documenterSearchIndex = {"docs":
[{"location":"#MultilevelChainSamplers.jl","page":"MultilevelChainSamplers.jl","title":"MultilevelChainSamplers.jl","text":"","category":"section"},{"location":"","page":"MultilevelChainSamplers.jl","title":"MultilevelChainSamplers.jl","text":"<h3> Table of contents </h3>","category":"page"},{"location":"","page":"MultilevelChainSamplers.jl","title":"MultilevelChainSamplers.jl","text":"Depth=5","category":"page"},{"location":"","page":"MultilevelChainSamplers.jl","title":"MultilevelChainSamplers.jl","text":"<h3> Table of contents </h3>","category":"page"},{"location":"","page":"MultilevelChainSamplers.jl","title":"MultilevelChainSamplers.jl","text":"MCMC Sampler for multilevel delayed acceptance.","category":"page"},{"location":"#Usage","page":"MultilevelChainSamplers.jl","title":"Usage","text":"","category":"section"},{"location":"#Proposal-generators","page":"MultilevelChainSamplers.jl","title":"Proposal generators","text":"","category":"section"},{"location":"#List-of-built-in-proposals","page":"MultilevelChainSamplers.jl","title":"List of built-in proposals","text":"","category":"section"},{"location":"","page":"MultilevelChainSamplers.jl","title":"MultilevelChainSamplers.jl","text":"StaticProposal","category":"page"},{"location":"#MultilevelChainSampler.StaticProposal","page":"MultilevelChainSamplers.jl","title":"MultilevelChainSampler.StaticProposal","text":"StaticProposal(d::Distribution)\n\nIndepent proposal from a distribution\n\n\n\n\n\n","category":"type"},{"location":"","page":"MultilevelChainSamplers.jl","title":"MultilevelChainSamplers.jl","text":"RandomWalk","category":"page"},{"location":"#MultilevelChainSampler.RandomWalk","page":"MultilevelChainSamplers.jl","title":"MultilevelChainSampler.RandomWalk","text":"RandomWalk(init, step)\n\nSample from a random walk. The proposal is symmetric if the mean of the step distribution is zero.\n\n\n\n\n\n","category":"type"},{"location":"","page":"MultilevelChainSamplers.jl","title":"MultilevelChainSamplers.jl","text":"TransformedProposal","category":"page"},{"location":"#MultilevelChainSampler.TransformedProposal","page":"MultilevelChainSamplers.jl","title":"MultilevelChainSampler.TransformedProposal","text":"TransformedProposal(t, p)\n\nModify proposal p with transformation t. The transformation t must implement a method for the type of p.\n\n\n\n\n\n","category":"type"},{"location":"","page":"MultilevelChainSamplers.jl","title":"MultilevelChainSamplers.jl","text":"StackedProposal","category":"page"},{"location":"#MultilevelChainSampler.StackedProposal","page":"MultilevelChainSamplers.jl","title":"MultilevelChainSampler.StackedProposal","text":"StackedProposal(p...)\n\nStacked proposal that samples each component independently. The proposal is symmetric if all components are symmetric.\n\n\n\n\n\n","category":"type"},{"location":"","page":"MultilevelChainSamplers.jl","title":"MultilevelChainSamplers.jl","text":"ComponentwiseProposal","category":"page"},{"location":"#MultilevelChainSampler.ComponentwiseProposal","page":"MultilevelChainSamplers.jl","title":"MultilevelChainSampler.ComponentwiseProposal","text":"ComponentwiseProposal(p...)\n\nComponent-wise proposal that samples each component independently. The proposal is symmetric if all components are symmetric. Like StackedProposal` but with different change sizes for each component.\n\n\n\n\n\n","category":"type"},{"location":"#Custom-Proposal-generator","page":"MultilevelChainSamplers.jl","title":"Custom Proposal generator","text":"","category":"section"},{"location":"","page":"MultilevelChainSamplers.jl","title":"MultilevelChainSamplers.jl","text":"To define a custom proposal inherit from the abstract type ","category":"page"},{"location":"","page":"MultilevelChainSamplers.jl","title":"MultilevelChainSamplers.jl","text":"struct MyProposal <: AbstractProposal{issymmetric::Bool}\n    # ... \nend ","category":"page"},{"location":"","page":"MultilevelChainSamplers.jl","title":"MultilevelChainSamplers.jl","text":"propose","category":"page"},{"location":"#MultilevelChainSampler.propose","page":"MultilevelChainSamplers.jl","title":"MultilevelChainSampler.propose","text":"propose(p, [x])\n\nPropose a new state from the proposal distribution p. If x is given, propose a new state from the proposal distribution p conditioned on x.\n\n\n\n\n\n","category":"function"},{"location":"","page":"MultilevelChainSamplers.jl","title":"MultilevelChainSamplers.jl","text":"Implement the sampling methods ","category":"page"},{"location":"","page":"MultilevelChainSamplers.jl","title":"MultilevelChainSamplers.jl","text":"initialization x₀ ~ p₀(⋅) by x₀ = propose(p)  \nand transition y ~ q(⋅|x) by y  = propose(p, x)","category":"page"},{"location":"","page":"MultilevelChainSamplers.jl","title":"MultilevelChainSamplers.jl","text":"propose(rng::AbstractRNG, p::MyProposal) = ...\npropose(rng::AbstractRNG, p::MyProposal, x) = ...","category":"page"},{"location":"","page":"MultilevelChainSamplers.jl","title":"MultilevelChainSamplers.jl","text":"For symmetric proposals q(x|y) = q(y|x) and the likelihood ratio can be neglected.  For asymmetric proposals also implement method for calculating  q(y|x)  ","category":"page"},{"location":"","page":"MultilevelChainSamplers.jl","title":"MultilevelChainSamplers.jl","text":"logpdf(p::AbstractProposal{false},x,y) = ...","category":"page"},{"location":"#Sampling","page":"MultilevelChainSamplers.jl","title":"Sampling","text":"","category":"section"},{"location":"","page":"MultilevelChainSamplers.jl","title":"MultilevelChainSamplers.jl","text":"Implements the AbstractMCMC sampling interface. ","category":"page"},{"location":"","page":"MultilevelChainSamplers.jl","title":"MultilevelChainSamplers.jl","text":"More information can be found on the \n<a href=\"https://turinglang.org/AbstractMCMC.jl\"> AbstractMCMC.jl </a>\ndocumentation page.","category":"page"},{"location":"","page":"MultilevelChainSamplers.jl","title":"MultilevelChainSamplers.jl","text":"In a nutshell the sampling function takes the form","category":"page"},{"location":"","page":"MultilevelChainSamplers.jl","title":"MultilevelChainSamplers.jl","text":"sample(t::LogDensity, mh::Sampler, N_or_isdone, options...)","category":"page"},{"location":"","page":"MultilevelChainSamplers.jl","title":"MultilevelChainSamplers.jl","text":"The target t is a logarithmic unnormalized probability density ","category":"page"},{"location":"","page":"MultilevelChainSamplers.jl","title":"MultilevelChainSamplers.jl","text":"LogDensity","category":"page"},{"location":"#MultilevelChainSampler.LogDensity","page":"MultilevelChainSamplers.jl","title":"MultilevelChainSampler.LogDensity","text":"LogDensity(d::Distribution)\n\nWrap a distribution as a log density model using the logpdf function.\n\n\n\n\n\nLogDensity(f::Function)\n\nWrap a function as a unnormalized log density model.\n\n\n\n\n\n","category":"type"},{"location":"","page":"MultilevelChainSamplers.jl","title":"MultilevelChainSamplers.jl","text":"In particular the options includes thread and process parallel sampling.","category":"page"},{"location":"#Metropolis-Hastings-(MH)","page":"MultilevelChainSamplers.jl","title":"Metropolis Hastings (MH)","text":"","category":"section"},{"location":"","page":"MultilevelChainSamplers.jl","title":"MultilevelChainSamplers.jl","text":"MH","category":"page"},{"location":"#MultilevelChainSampler.MH","page":"MultilevelChainSamplers.jl","title":"MultilevelChainSampler.MH","text":"MH(p::AbstractProposal; save_logprob=false, save_reject=false)\n\nMetropolis Hastings sampler with proposal p. \n\nsave_logprob : saves target evaluations \nsave_reject  : saves rejection status\n\n\n\n\n\n","category":"type"},{"location":"","page":"MultilevelChainSamplers.jl","title":"MultilevelChainSamplers.jl","text":"Published in [1].","category":"page"},{"location":"#Multilevel-Delayed-Acceptance-(MLDA)","page":"MultilevelChainSamplers.jl","title":"Multilevel Delayed Acceptance (MLDA)","text":"","category":"section"},{"location":"","page":"MultilevelChainSamplers.jl","title":"MultilevelChainSamplers.jl","text":"Construct a multilevel proposal as vector of simple proposals.","category":"page"},{"location":"","page":"MultilevelChainSamplers.jl","title":"MultilevelChainSamplers.jl","text":"MLDA","category":"page"},{"location":"#MultilevelChainSampler.MLDA","page":"MultilevelChainSamplers.jl","title":"MultilevelChainSampler.MLDA","text":"MLDA(p::Vector{<:AbstractProposal}, n::Vector{<:Union{Integer,Distribution}}; \n    save_logprob=false, save_reject=false, save_subchain=false)\n\nConstruct a multilevel delayed acceptance sampler  from proposal vector p and subchain length vector n. They can either be fixed integers or distributions that are sampled at each iteration.\n\nsave_logprob : saves target evaluations \nsave_reject : saves rejection status\nsave_subchain : saves subchain samples \n\n\n\n\n\n","category":"type"},{"location":"","page":"MultilevelChainSamplers.jl","title":"MultilevelChainSamplers.jl","text":"Published in [1].","category":"page"},{"location":"#Reference","page":"MultilevelChainSamplers.jl","title":"Reference","text":"","category":"section"},{"location":"#Index","page":"MultilevelChainSamplers.jl","title":"Index","text":"","category":"section"},{"location":"","page":"MultilevelChainSamplers.jl","title":"MultilevelChainSamplers.jl","text":"","category":"page"},{"location":"#Citations","page":"MultilevelChainSamplers.jl","title":"Citations","text":"","category":"section"},{"location":"","page":"MultilevelChainSamplers.jl","title":"MultilevelChainSamplers.jl","text":"<a id=\"1\">[1]</a> \nHastings, W.K. (1970). \n\"Monte Carlo Sampling Methods Using Markov Chains and Their Applications\". \nBiometrika, Volume 57, Issue 1\n\n<br />\n\n<a id=\"2\">[2]</a>\nMikkel B. Lykkegaard, T. Dodwell, C. Fox, Grigorios Mingas, Robert Scheichl (2022). \n\"Multilevel Delayed Acceptance MCMC\"\nSIAM/ASA J. Uncertain. Quantification","category":"page"}]
}
